<?php

/**
* $Id: print.php,v 1.15.2.5 2005/03/30 17:22:46 fx2024 Exp $
* Module: SmartFAQ
* Author: The SmartFactory <www.smartfactory.ca>
* Licence: GNU
*/

include_once 'header.php';
require_once XOOPS_ROOT_PATH.'/class/template.php';

$faqid = isset($_GET['faqid']) ? intval($_GET['faqid']) : 0;

If ($faqid == 0) {
	redirect_header("javascript:history.go(-1)", 1, _MD_SF_NOFAQSELECTED);
	exit();
}

// Creating the FAQ handler object
$faq_handler =& sf_gethandler('faq');

// Creating the FAQ object for the selected FAQ
$faqObj = new sfFaq($faqid);

// If the selected FAQ was not found, exit
If ($faqObj->notLoaded()) {
	redirect_header("javascript:history.go(-1)", 1, _MD_SF_NOFAQSELECTED);
	exit();
}

// Creating the category object that holds the selected FAQ
$categoryObj =& $faqObj->category();

// Creating the answer object
$answerObj =& $faqObj->answer();

// Check user permissions to access that category of the selected FAQ
$faqAccessGrantedResult = faqAccessGranted($faqObj);
if ($faqAccessGrantedResult < 0) {
	redirect_header("javascript:history.go(-1)", 1, _NOPERM);
	exit;
}

$xoopsTpl = new XoopsTpl();

$faq = $faqObj->toArray(null, $categoryObj, false);


$withAllLink = (sf_getConfig('displaytype') == 'treeview' && $_SESSION["osBrowserOk"]) ? 0 : 2;

$faq['categoryPath'] = $categoryObj->getCategoryPath($withAllLink);


$faq['answer'] = $answerObj->answer();

// For diduno type, if no answer, it is set to '-', we need to not display this '-'
// A better solution for diduno type will be implemented soon ;-)
if ($faq['answer'] == '-') {
	$faq['answer'] = ' ';
}

// Check to see if we need to display partial answer. This should probably be in a the FAQ class...
if ($faqAccessGrantedResult == 0) {
	$faq['answer'] = sf_substr($faq['answer'], 0, sf_getConfig('partialview_count'));
	$xoopsTpl->assign('partialview_msg', sf_getConfig('partialview_msg'));
}

$faq['who_when'] = $faqObj->getWhoAndWhen();

$faq['adminlink'] = sf_getAdminLinks($faqObj->faqid());

$faq['comments'] = $faqObj->comments();
$faq['datesub'] = $faqObj->datesub('d/m/Y');

// Language constants
$xoopsTpl->assign('faq', $faq);
$xoopsTpl->assign('display_categoryname', false);
$xoopsTpl->assign('faqfooter', $myts->displayTarea($xoopsModuleConfig['faqfooter']));
/* Pour CondoLegal on ne veut pas de indexfooter sur print page. Faudra faire une option de config ds qu'on a 2 minutes
$xoopsTpl->assign('indexfooter', $myts->displayTarea($xoopsModuleConfig['indexfooter']));
*/

$xoopsTpl->assign('display_poster_info', sf_getConfig('display_poster_info'));
$xoopsTpl->assign('printlogourl', sf_getConfig('printlogourl'));

// Spcifique  Condolegal...
$printheader = "CondoLegal.com :: Copyright  2005 de Grandpr Joli-Coeur, s.e.n.c.";
$extraheader = "Tl. : 514.287.9535 | Fax : 514.499-0469 | y.joli-coeur@djclegal.com";
$xoopsTpl->assign('printheader', $printheader);
$xoopsTpl->assign('extraheader', $extraheader);
// Spcifique  Condolegal...

$xoopsTpl->assign('lang_category', _MD_SF_CATEGORY);
$xoopsTpl->assign('lang_date', _MD_SF_DATE);
$xoopsTpl->assign('lang_back2index', _MD_SF_BACK2INDEX);
$xoopsTpl->assign('lang_reads', _MD_SF_READS);
$xoopsTpl->assign('lang_beenread', sprintf(_MD_SF_BEENREAD, $faq['counter']));
$xoopsTpl->assign('lang_faq', _MD_SF_FAQ);
$xoopsTpl->assign('lang_postedby', _MD_SF_POSTEDBY);
$xoopsTpl->assign('lang_on', _MD_SF_ON);
$xoopsTpl->assign('lang_datesub', _MD_SF_DATESUB);
$xoopsTpl->assign('lang_hitsdetail', _MD_SF_HITSDETAIL);
$xoopsTpl->assign('lang_hits', _MD_SF_READS);

// Page Title Hack by marcan
$module_name = $myts->makeTboxData4Show($xoopsModule->getVar('name'));
$xoopsTpl->assign('xoops_pagetitle', $module_name . ' - ' . $categoryObj->name() . ' - ' . $faq['question']);
// End Page Title Hack by marcan


$xoopsTpl->display('db:smartfaq_print.html');

?>